import { jsx as _jsx } from "react/jsx-runtime";
import { Blank } from '../icons/blank';
import { BrainIcon } from '../icons/brain';
import { CodeHike } from '../icons/code-hike';
import { Cubes } from '../icons/cubes';
import { ElectronIcon } from '../icons/electron';
import { JSIcon } from '../icons/js';
import { MusicIcon } from '../icons/music';
import { NextIcon } from '../icons/next';
import { OverlayIcon } from '../icons/overlay';
import { PromptToVideoIcon } from '../icons/prompt-to-video';
import { Recorder } from '../icons/recorder';
import { ReactRouterIcon } from '../icons/remix';
import { RenderServerIcon } from '../icons/render-server';
import { SkiaIcon } from '../icons/skia';
import { Stargazer } from '../icons/stargazer';
import { StillIcon } from '../icons/still';
import { TikTok } from '../icons/tiktok';
import { TypeScriptIcon } from '../icons/ts';
import { VercelIcon } from '../icons/vercel';
import { Waveform } from '../icons/waveform';
export const IconForTemplate = ({ template, scale = 1 }) => {
    if (template.cliId === 'hello-world') {
        return (_jsx(TypeScriptIcon, { style: {
                height: scale * 48,
            } }));
    }
    if (template.cliId === 'blank') {
        return (_jsx(Blank, { style: {
                height: scale * 36,
                overflow: 'visible',
            } }));
    }
    if (template.cliId === 'javascript') {
        return (_jsx(JSIcon, { style: {
                height: scale * 40,
            } }));
    }
    if (template.cliId === 'three') {
        return (_jsx(Cubes, { style: {
                height: scale * 36,
            } }));
    }
    if (template.cliId === 'still') {
        return (_jsx(StillIcon, { style: {
                height: scale * 36,
            } }));
    }
    if (template.cliId === 'audiogram') {
        return (_jsx(Waveform, { style: {
                height: scale * 36,
            } }));
    }
    if (template.cliId === 'skia') {
        return (_jsx(SkiaIcon, { style: {
                height: scale * 32,
            } }));
    }
    if (template.cliId === 'music-visualization') {
        return (_jsx(MusicIcon, { style: {
                height: scale * 32,
            } }));
    }
    if (template.cliId === 'react-router') {
        return (_jsx(ReactRouterIcon, { style: {
                height: scale * 32,
            } }));
    }
    if (template.cliId === 'overlay') {
        return _jsx(OverlayIcon, { style: { height: scale * 42 } });
    }
    if (template.cliId === 'render-server') {
        return _jsx(RenderServerIcon, { style: { height: scale * 36 } });
    }
    if (template.cliId === 'electron') {
        return _jsx(ElectronIcon, { style: { height: scale * 36 } });
    }
    if (template.cliId === 'recorder') {
        return _jsx(Recorder, { style: { height: scale * 36 } });
    }
    if (template.cliId === 'next' ||
        template.cliId === 'next-no-tailwind' ||
        template.cliId === 'next-pages-dir') {
        return _jsx(NextIcon, { style: { height: scale * 36 } });
    }
    if (template.cliId === 'stargazer') {
        return _jsx(Stargazer, { style: { height: scale * 36 } });
    }
    if (template.cliId === 'tiktok') {
        return _jsx(TikTok, { style: { height: scale * 36 } });
    }
    if (template.cliId === 'code-hike') {
        return _jsx(CodeHike, { style: { height: scale * 36 } });
    }
    if (template.cliId === 'prompt-to-video') {
        return _jsx(PromptToVideoIcon, { style: { height: scale * 36 } });
    }
    if (template.cliId === 'prompt-to-motion-graphics') {
        return _jsx(BrainIcon, { style: { height: scale * 36 } });
    }
    if (template.cliId === 'vercel') {
        return _jsx(VercelIcon, { style: { height: scale * 28 } });
    }
    throw new Error(`Unknown template: ${template.cliId}`);
};
